Coin: SoGLDrawStyleElement Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
SoGLDrawStyleElement Class Reference
Element Classes

The SoGLDrawStyleElement updates the current draw style in OpenGL. More...

`#include <Inventor/elements/SoGLDrawStyleElement.h>`

Inheritance diagram for SoGLDrawStyleElement:

## Public Member Functions
virtual void | init (SoState *state)
| FIXME: write doc.
virtual void | push (SoState *state)
virtual void | pop (SoState *state, const SoElement *prevTopElement)
Public Member Functions inherited from SoDrawStyleElement
Public Member Functions inherited from SoInt32Element
virtual SbBool | matches (const SoElement *element) const
virtual SoElement * | copyMatchInfo (void) const
virtual void | print (FILE *file) const
Public Member Functions inherited from SoElement
const SoType | getTypeId (void) const
int | getStackIndex (void) const
void | setDepth (const int depth)
int | getDepth (void) const
virtual | ~SoElement ()

## Static Public Member Functions
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
Static Public Member Functions inherited from SoDrawStyleElement
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void * | createInstance (void)
static void | initClass (void)
static void | set (SoState *const state, SoNode *const node, const Style style)
| FIXME: write doc.
static void | set (SoState *const state, const Style style)
| FIXME: write doc.
static Style | get (SoState *const state)
| FIXME: write doc.
static Style | getDefault ()
| FIXME: write doc.
Static Public Member Functions inherited from SoInt32Element
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initClass (void)
static void | set (const int index, SoState *const state, SoNode *const node, const int32_t value)
static void | set (const int index, SoState *const state, const int32_t value)
static int32_t | get (const int index, SoState *const state)
Static Public Member Functions inherited from SoElement
static void | initClass (void)
static SoType | getClassTypeId (void)
static int | getClassStackIndex (void)
static void | initElements (void)
static int | getNumStackIndices (void)
static SoType | getIdFromStackIndex (const int stackIndex)

## Protected Member Functions
virtual | ~SoGLDrawStyleElement ()
virtual void | setElt (int32_t style)
Protected Member Functions inherited from SoDrawStyleElement
virtual | ~SoDrawStyleElement ()
Protected Member Functions inherited from SoInt32Element
virtual | ~SoInt32Element ()
Protected Member Functions inherited from SoElement
| SoElement (void)
void | capture (SoState *const state) const
virtual void | captureThis (SoState *state) const
void | setTypeId (const SoType typeId)
void | setStackIndex (const int index)
SoElement * | getNextInStack (void) const
SoElement * | getNextFree (void) const

## Additional Inherited Members
Public Types inherited from SoDrawStyleElement
enum | Style { FILLED , LINES , POINTS , INVISIBLE }
Static Protected Member Functions inherited from SoElement
static SoElement * | getElement (SoState *const state, const int stackIndex)
static const SoElement * | getConstElement (SoState *const state, const int stackIndex)
static int | createStackIndex (const SoType id)
Protected Attributes inherited from SoInt32Element
int32_t | data
Protected Attributes inherited from SoElement
SoType | typeId
int | stackIndex
int | depth
Static Protected Attributes inherited from SoElement
static int | classStackIndex
static SoTypeList * | stackToType

## Detailed Description

The SoGLDrawStyleElement updates the current draw style in OpenGL.

## Constructor & Destructor Documentation

## ◆ ~SoGLDrawStyleElement()

SoGLDrawStyleElement::~SoGLDrawStyleElement | ( | void |  | ) |
| protectedvirtual

Destructor.

## Member Function Documentation

## ◆ getClassTypeId()

SoType SoGLDrawStyleElement::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ getClassStackIndex()

int SoGLDrawStyleElement::getClassStackIndex | ( | void |  | ) |
| static

This static method returns the state stack index for the class.

## ◆ createInstance()

void * SoGLDrawStyleElement::createInstance | ( | void |  | ) |
| static

This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
Creates a new instance of the class type corresponding to the SoType object.

## ◆ initClass()

void SoGLDrawStyleElement::initClass | ( | void |  | ) |
| static

Initialize relevant common data for all instances, like the type system.

## ◆ init()

void SoGLDrawStyleElement::init | ( | SoState * | state | ) |
| virtual

FIXME: write doc.

Reimplemented from SoDrawStyleElement.

## ◆ push()

void SoGLDrawStyleElement::push | ( | SoState * | state | ) |
| virtual

This method is called every time a new element is required in one of the stacks. This happens when a writable element is requested, using SoState::getElement() or indirectly SoElement::getElement(), and the depth of the current element is less than the state depth.

Override this method if your element needs to copy data from the previous top of stack. The push() method is called on the new element, and the previous element can be found using SoElement::getNextInStack().

Reimplemented from SoElement.

## ◆ pop()

void SoGLDrawStyleElement::pop | ( | SoState * | state,
|  | const SoElement * | prevTopElement )
| virtual

This method is called when the state is popped, and the depth of the element is bigger than the current state depth. pop() is called on the new top of stack, and a pointer to the previous top of stack is passed in prevTopElement.

Override this method if you need to copy some state information from the previous top of stack.

Reimplemented from SoElement.

## ◆ setElt()

void SoGLDrawStyleElement::setElt | ( | int32_t | value | ) |
| protectedvirtual

Set element value.

Reimplemented from SoInt32Element.

The documentation for this class was generated from the following files:

- SoGLDrawStyleElement.h
- SoGLDrawStyleElement.cpp